# PSF-LoginServer - master - net.psforever.objects.geometry.AxisAlignment.XY
PSF - LoginServer - master - net.psforever.objects.geometry.AxisAlignment.XY
Keywords: PSF LoginServer master net.psforever.objects.geometry.AxisAlignment.XY

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package geometry
  Definition Classes
    objects
-  object AxisAlignment extends Enum[AxisAlignment]
  Definition Classes
    geometry
- Free
- XY
- XZ
- YZ

o

net.psforever.objects.geometry.AxisAlignment

# XY

###

#### case object XY extends AxisAlignment2D with Product with Serializable

Geometric entities in the XY-axis. Coordinates are x- and y-; up is the z-axis.

Source
  AxisAlignment.scala

Linear Supertypes
Serializable, Product, Equals, AxisAlignment2D, AxisAlignment, EnumEntry, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. XY
2. Serializable
3. Product
4. Equals
5. AxisAlignment2D
6. AxisAlignment
7. EnumEntry
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def asVector3(a: Float, b: Float): Vector3

   Project two values as a vector that can be represented in this coordinate axis.

   Project two values as a vector that can be represented in this coordinate axis.

   a

     the first value

   b

     the second value

   returns

     the projected vector

   Definition Classes
     XY → AxisAlignment2D
6.  def asVector3(v: Vector3): Vector3

   Project one vector as a vector that can be represented in this coordinate axis.

   Project one vector as a vector that can be represented in this coordinate axis.

   v

     the original vector

   returns

     the projected vector

   Definition Classes
     XY → AxisAlignment
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def entryName: String
   Definition Classes
     EnumEntry
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
11.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
12.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  def productElementName(n: Int): String
    Definition Classes
      Product
18.  def productElementNames: Iterator[String]
    Definition Classes
      Product
19.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AxisAlignment2D

### Inherited from AxisAlignment

### Inherited from EnumEntry

### Inherited from AnyRef

### Inherited from Any

### Ungrouped